cURL
curl --request GET \
--url https://api.ctrl-hub.com/v3/waste-movements/{waste_movement_id} \
--header 'X-Session-Token: <api-key>'import requests
url = "https://api.ctrl-hub.com/v3/waste-movements/{waste_movement_id}"
headers = {"X-Session-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Session-Token': '<api-key>'}};
fetch('https://api.ctrl-hub.com/v3/waste-movements/{waste_movement_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"attributes": {
"client_reference": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date_time_received": "2023-11-07T05:31:56Z",
"waste_items": [
{
"ewc_codes": [
"<string>"
],
"waste_description": "<string>",
"number_of_containers": 1,
"type_of_containers": "<string>",
"weight": {
"amount": 1,
"is_estimate": true
},
"contains_hazardous": true,
"contains_pops": true,
"hazardous": {
"components": [
{
"name": "<string>",
"concentration": 1
}
],
"haz_codes": [
"<string>"
]
},
"pops": {
"components": [
{
"name": "<string>",
"concentration": 1
}
]
},
"disposal_or_recovery_codes": [
{
"code": "<string>",
"weight": {
"amount": 1,
"is_estimate": true
}
}
]
}
],
"ewc_codes": [
"<string>"
],
"means_of_transport": "<string>",
"vehicle_registration": "<string>",
"receipt_address": {
"full_address": "<string>",
"postcode": "<string>"
},
"hazardous_waste_consignment_code": "<string>",
"other_references": [
{
"label": "<string>",
"reference": "<string>"
}
],
"special_handling_requirements": "<string>"
},
"meta": {
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"organisation": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"broker": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"carrier": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"receiver_site": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"submissions": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
}
}
},
"jsonapi": {
"version": "<string>"
},
"included": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"attributes": {
"organisation_name": "<string>",
"registration_number": "<string>"
},
"meta": {
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"organisation": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
}
}
}
]
}{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}{
"id": "7b4c8f12-3e9a-4d5b-8c6f-1a2b3c4d5e6f",
"status": "404",
"title": "Resource not found",
"detail": "The requested resource could not be found or does not exist.",
"code": "NOT_FOUND.001"
}{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}Waste Movements
Get v3waste movements 1
Retrieve a specific waste movement by its unique identifier.
GET
/
v3
/
waste-movements
/
{waste_movement_id}
cURL
Authorizations
SessionCookieOAuth2
Session token for authentication.
Path Parameters
The unique identifier for the waste movement.
Query Parameters
A comma separated list of related resources to include.
Available options:
broker, carrier, receiver_site, submissions Response
An individual waste movement.
JSON API response object
A waste movement (Phase 1 populates the receipt of waste facet).
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Related resources that can be included when a waste movement is returned
A reusable broker or dealer an organisation transports waste with.
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
⌘I